{ lib, pkgs, ghostty, ... }: {
  programs.alacritty = {
    enable = pkgs.stdenv.isLinux;
    settings = {
      colors = {
        bright = {
          black = "#444b6a";
          blue = "#7da6ff";
          cyan = "#0db9d7";
          green = "#b9f27c";
          magenta = "#bb9af7";
          red = "#ff7a93";
          white = "#acb0d0";
          yellow = "#ff9e64";
        };

        cursor = {
          cursor = "#F5E0DC";
          text = "#1E1E2E";
        };

        hints = {
          end = {
            background = "#A6ADC8";
            foreground = "#1E1E2E";
          };

          start = {
            background = "#F9E2AF";
            foreground = "#1E1E2E";
          };
        };

        normal = {
          black = "#32344a";
          blue = "#7aa2f7";
          cyan = "#449dab";
          green = "#9ece6a";
          magenta = "#ad8ee6";
          red = "#f7768e";
          white = "#787c99";
          yellow = "#e0af68";
        };

        primary = {
          background = "#1a1b26";
          bright_foreground = "#CDD6F4";
          dim_foreground = "#CDD6F4";
          foreground = "#a9b1d6";
        };

        search = {
          focused_match = {
            background = "#A6E3A1";
            foreground = "#1E1E2E";
          };

          matches = {
            background = "#A6ADC8";
            foreground = "#1E1E2E";
          };
        };

        selection = {
          background = "#F5E0DC";
          text = "#1E1E2E";
        };

        vi_mode_cursor = {
          cursor = "#B4BEFE";
          text = "#1E1E2E";
        };
      };

      font = {
        size = 11;

        bold = {
          family = "Monaspace Argon";
          style = "Bold";
        };

        bold_italic = {
          family = "Monaspace Argon";
          style = "Bold Italic";
        };

        italic = {
          family = "Monaspace Argon";
          style = "Italic";
        };

        normal = {
          family = "Monaspace Argon";
          style = "Regular";
        };
      };

      window = { opacity = 0.95; };
    };
  };

  programs.kitty = {
    enable = false; # TODO: to enable later
  };

  home.packages = if pkgs.stdenv.isLinux then
    [ ghostty.packages.${pkgs.system}.default ]
  else
    [ ];
}
